import * as $dara from '@darabonba/typescript';
import { DescribeImagesResponseBody } from "./DescribeImagesResponseBody";
export declare class DescribeImagesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeImagesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
